[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [linux-lvm] problems compiling andreas' 3.4 userland tools undertest11-pre1



Patrick Kane writes:
> I'm trying to get the 0.8final-3.4 to compile under test11-pre1, with no
> luck.  I get all sorts of gcc parse errors in linux/lvm.h and liblvm.h.
> 
> I've tried compiling the tools with and without Andreas' 2.4 patch.  It
> fails both ways.

The 2.4 patch you refer to is lvm-0.8final-2.4-kernel.diff?  Is it
possible you applied it to /usr/src/linux-2.4*/include/linux/lvm.h but
there isn't a symlink /usr/include/linux -> /usr/src/linux/include/linux
(i.e. you are running Debian or something)?

Alternately, you can simply change linux/lvm.h to lib/lvm.h and it should
compile.

Cheers, Andreas
-- 
Andreas Dilger  \ "If a man ate a pound of pasta and a pound of antipasto,
                 \  would they cancel out, leaving him still hungry?"
http://www-mddsp.enel.ucalgary.ca/People/adilger/               -- Dogbert


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]